Bug 1915624 - "Please fill in the following field: Template provider" blocks customize wizard
Summary: "Please fill in the following field: Template provider" blocks customize wizard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 04:08 UTC by Guohua Ouyang
Modified: 2021-02-24 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:52:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Template provider (167.41 KB, image/png)
2021-01-13 04:08 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7817 0 None closed Bug 1915624: Template provider name is required field only for vm templates 2021-01-29 13:52:14 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:52:56 UTC

Description Guohua Ouyang 2021-01-13 04:08:51 UTC
Created attachment 1746889 [details]
Template provider

Description of problem:
"Please fill in the following field: Template provider" shows on customize wizard.

Version-Release number of selected component (if applicable):
OCP 4.7

How reproducible:


Steps to Reproduce:
1. Click Create -> VM Wizard -> select a template -> customize
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Guohua Ouyang 2021-01-13 04:13:57 UTC
It should only check this field on template wizard, not on virtual machine wizard

Comment 2 Yaacov Zamir 2021-01-13 06:44:22 UTC
Setting to blocker+ after discussion with @Guohua since virtual machine creation is disrupted with not workaround,
A fix is under review now.

Comment 6 errata-xmlrpc 2021-02-24 15:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.